import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Rockets extends Actor
{
    /**
     * Act - do whatever the Rockets wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        this.steering();
        this.beingKilled();
        this.beingWinner();
    }

    public void steering()
    {
        if(Greenfoot.isKeyDown("down"))
        {
            this.setLocation(this.getX(), this.getY()+5);                 
        }
        if(Greenfoot.isKeyDown("up"))
        {
            this.setLocation(this.getX(), this.getY()-5);                 
        }
        if(Greenfoot.isKeyDown("right"))
        {
            this.setLocation(this.getX()+5, this.getY());                 
        }
        if(Greenfoot.isKeyDown("left"))
        {
            this.setLocation(this.getX()-5, this.getY());                 
        }

    }

    public void beingWinner()

    {
        if(this.isTouching(Wall.class))
        {  
            Greenfoot.delay(5);
            Greenfoot.playSound("fanfare.wav");
            this.getWorld().removeObject(this);
            Greenfoot.stop();
        }

    }

    public void beingKilled()

    {
        if(this.isTouching(Astroiden.class)|| this.isAtEdge())
        {
            this.setImage("explosion.png");
            Greenfoot.delay(5);
            Greenfoot.playSound("Explosion.wav");
            Greenfoot.playSound("game-over.wav");
            //this.getWorldOfType(MyWorld.class).removeObject(this);
            Greenfoot.stop(); 
        }

    }
}    
